mrm 1 "May 2013" Manta "Manta Commands"
=======================================

NAME
----

mrm - remove objects or directories

SYNOPSIS
--------

`mrm` [OPTION...] OBJECT...

DESCRIPTION
-----------

mrm removes each specified object.  By default, it does not remove directories.

EXAMPLES
--------

Recursively delete all directories and objects under `/:login/stor/tmp`.

    $ mrm -r /$MANTA_USER/stor/tmp

OPTIONS
-------

`-a, --account login`
  Authenticate as account (login name).

`-h, --help`
  Print a help message and exit.

`-i, --insecure`
  This option explicitly allows "insecure" SSL connections and transfers.  All
  SSL connections are attempted to be made secure by using the CA certificate
  bundle installed by default.

`-k, --key fingerprint`
  Authenticate using the SSH key described by FINGERPRINT.  The key must
  either be in `~/.ssh` or loaded in the SSH agent via `ssh-add`.

`-p, --parallel concurrency`
  Limit concurrent operations to CONCURRENCY.  Default is 50.

`-r, --recursive`
  Remove directories and their contents recursively.

`-u, --url url`
  Manta base URL (such as `https://manta.us-east.joyent.com`).

`-v, --verbose`
  Print debug output to stderr.  Repeat option to increase verbosity.

ENVIRONMENT
-----------

`MANTA_USER`
  In place of `-a, --account`

`MANTA_KEY_ID`
  In place of `-k, --key`.

`MANTA_URL`
  In place of `-u, --url`.

`MANTA_TLS_INSECURE`
  In place of `-i, --insecure`.

DIAGNOSTICS
-----------

When using the `-v` option, diagnostics will be sent to stderr in bunyan
output format.  As an example of tracing all information about a request,
try:

    $ mrm -vv /$MANTA_USER/stor/foo 2>&1 | bunyan

BUGS
----

DSA keys do not work when loaded via the SSH agent.

Report bugs at [Github](https://github.com/joyent/node-manta/issues)
